/*
######################################
# In-betweening catearup.pov and cateardn.pov
######################################
*/

// File generated by sPatch, Copyright 1996-1998 by Mike Clifton
// File in-betweened by Animate.pl
// Modified by Steve Sloan to act as a macro

// Build a cat ear that can perk up or lay back against the head
// Parameters:
//     ear_clock: At value 0, ears are laid back against the
//                head, and at value 1, ears are perked up

#macro CatEar (ear_clock)

union {
	bicubic_patch {
		type 1
		flatness 0
		u_steps 3
		v_steps 3
		<-0.502, 1.345, -0.169> <-0.502, 1.342, -0.072> <-0.522, 1.337, 0.060> <-0.503, 1.336, 0.155>
		<(-0.520) + ((ear_clock) * 1) * ((-0.488) - (-0.520)), (1.473) + ((ear_clock) * 1) * ((1.600) - (1.473)), (-0.188) + ((ear_clock) * 1) * ((-0.118) - (-0.188))> <(-0.520) + ((ear_clock) * 1) * ((-0.488) - (-0.520)), (1.471) + ((ear_clock) * 1) * ((1.597) - (1.471)), (-0.091) + ((ear_clock) * 1) * ((-0.021) - (-0.091))> <(-0.501) + ((ear_clock) * 1) * ((-0.492) - (-0.501)), (1.479) + ((ear_clock) * 1) * ((1.563) - (1.479)), (-0.017) + ((ear_clock) * 1) * ((0.060) - (-0.017))> <(-0.482) + ((ear_clock) * 1) * ((-0.473) - (-0.482)), (1.478) + ((ear_clock) * 1) * ((1.562) - (1.478)), (0.079) + ((ear_clock) * 1) * ((0.155) - (0.079))>
		<(-0.582) + ((ear_clock) * 1) * ((-0.534) - (-0.582)), (1.697) + ((ear_clock) * 1) * ((1.948) - (1.697)), (-0.129) + ((ear_clock) * 1) * ((-0.028) - (-0.129))> <(-0.543) + ((ear_clock) * 1) * ((-0.519) - (-0.543)), (1.708) + ((ear_clock) * 1) * ((1.916) - (1.708)), (-0.089) + ((ear_clock) * 1) * ((0.019) - (-0.089))> <(-0.509) + ((ear_clock) * 1) * ((-0.500) - (-0.509)), (1.715) + ((ear_clock) * 1) * ((1.909) - (1.715)), (-0.010) + ((ear_clock) * 1) * ((0.112) - (-0.010))> <(-0.470) + ((ear_clock) * 1) * ((-0.482) - (-0.470)), (1.722) + ((ear_clock) * 1) * ((1.875) - (1.722)), (0.032) + ((ear_clock) * 1) * ((0.155) - (0.032))>
		<(-0.562) + ((ear_clock) * 1) * ((-0.454) - (-0.562)), (1.773) + ((ear_clock) * 1) * ((2.194) - (1.773)), (-0.234) + ((ear_clock) * 1) * ((0.000) - (-0.234))> <(-0.523) + ((ear_clock) * 1) * ((-0.439) - (-0.523)), (1.784) + ((ear_clock) * 1) * ((2.162) - (1.784)), (-0.193) + ((ear_clock) * 1) * ((0.046) - (-0.193))> <(-0.470) + ((ear_clock) * 1) * ((-0.421) - (-0.470)), (1.803) + ((ear_clock) * 1) * ((2.123) - (1.803)), (-0.141) + ((ear_clock) * 1) * ((0.112) - (-0.141))> <(-0.432) + ((ear_clock) * 1) * ((-0.403) - (-0.432)), (1.809) + ((ear_clock) * 1) * ((2.088) - (1.809)), (-0.100) + ((ear_clock) * 1) * ((0.155) - (-0.100))>
	}
	bicubic_patch {
		type 1
		flatness 0
		u_steps 3
		v_steps 3
		<(-0.562) + ((ear_clock) * 1) * ((-0.454) - (-0.562)), (1.773) + ((ear_clock) * 1) * ((2.194) - (1.773)), (-0.234) + ((ear_clock) * 1) * ((0.000) - (-0.234))> <(-0.523) + ((ear_clock) * 1) * ((-0.439) - (-0.523)), (1.784) + ((ear_clock) * 1) * ((2.162) - (1.784)), (-0.193) + ((ear_clock) * 1) * ((0.046) - (-0.193))> <(-0.470) + ((ear_clock) * 1) * ((-0.421) - (-0.470)), (1.803) + ((ear_clock) * 1) * ((2.123) - (1.803)), (-0.141) + ((ear_clock) * 1) * ((0.112) - (-0.141))> <(-0.432) + ((ear_clock) * 1) * ((-0.403) - (-0.432)), (1.809) + ((ear_clock) * 1) * ((2.088) - (1.809)), (-0.100) + ((ear_clock) * 1) * ((0.155) - (-0.100))>
		<(-0.529) + ((ear_clock) * 1) * ((-0.381) - (-0.529)), (1.896) + ((ear_clock) * 1) * ((2.417) - (1.896)), (-0.404) + ((ear_clock) * 1) * ((0.025) - (-0.404))> <(-0.490) + ((ear_clock) * 1) * ((-0.366) - (-0.490)), (1.907) + ((ear_clock) * 1) * ((2.385) - (1.907)), (-0.364) + ((ear_clock) * 1) * ((0.072) - (-0.364))> <(-0.425) + ((ear_clock) * 1) * ((-0.349) - (-0.425)), (1.904) + ((ear_clock) * 1) * ((2.319) - (1.904)), (-0.294) + ((ear_clock) * 1) * ((0.112) - (-0.294))> <(-0.387) + ((ear_clock) * 1) * ((-0.331) - (-0.387)), (1.911) + ((ear_clock) * 1) * ((2.284) - (1.911)), (-0.252) + ((ear_clock) * 1) * ((0.155) - (-0.252))>
		<(-0.541) + ((ear_clock) * 1) * ((-0.250) - (-0.541)), (1.975) + ((ear_clock) * 1) * ((2.845) - (1.975)), (-0.852) + ((ear_clock) * 1) * ((0.000) - (-0.852))> <(-0.508) + ((ear_clock) * 1) * ((-0.250) - (-0.508)), (1.983) + ((ear_clock) * 1) * ((2.791) - (1.983)), (-0.789) + ((ear_clock) * 1) * ((0.046) - (-0.789))> <(-0.444) + ((ear_clock) * 1) * ((-0.223) - (-0.444)), (1.983) + ((ear_clock) * 1) * ((2.723) - (1.983)), (-0.713) + ((ear_clock) * 1) * ((0.114) - (-0.713))> <(-0.415) + ((ear_clock) * 1) * ((-0.223) - (-0.415)), (1.985) + ((ear_clock) * 1) * ((2.665) - (1.985)), (-0.648) + ((ear_clock) * 1) * ((0.155) - (-0.648))>
		<(-0.360) + ((ear_clock) * 1) * ((-0.014) - (-0.360)), (1.877) + ((ear_clock) * 1) * ((2.845) - (1.877)), (-0.905) + ((ear_clock) * 1) * ((0.000) - (-0.905))> <(-0.328) + ((ear_clock) * 1) * ((-0.014) - (-0.328)), (1.884) + ((ear_clock) * 1) * ((2.791) - (1.884)), (-0.842) + ((ear_clock) * 1) * ((0.046) - (-0.842))> <(-0.282) + ((ear_clock) * 1) * ((-0.014) - (-0.282)), (1.899) + ((ear_clock) * 1) * ((2.723) - (1.899)), (-0.759) + ((ear_clock) * 1) * ((0.114) - (-0.759))> <(-0.253) + ((ear_clock) * 1) * ((-0.014) - (-0.253)), (1.901) + ((ear_clock) * 1) * ((2.665) - (1.901)), (-0.694) + ((ear_clock) * 1) * ((0.155) - (-0.694))>
	}
	bicubic_patch {
		type 1
		flatness 0
		u_steps 3
		v_steps 3
		<(-0.360) + ((ear_clock) * 1) * ((-0.014) - (-0.360)), (1.877) + ((ear_clock) * 1) * ((2.845) - (1.877)), (-0.905) + ((ear_clock) * 1) * ((0.000) - (-0.905))> <(-0.328) + ((ear_clock) * 1) * ((-0.014) - (-0.328)), (1.884) + ((ear_clock) * 1) * ((2.791) - (1.884)), (-0.842) + ((ear_clock) * 1) * ((0.046) - (-0.842))> <(-0.282) + ((ear_clock) * 1) * ((-0.014) - (-0.282)), (1.899) + ((ear_clock) * 1) * ((2.723) - (1.899)), (-0.759) + ((ear_clock) * 1) * ((0.114) - (-0.759))> <(-0.253) + ((ear_clock) * 1) * ((-0.014) - (-0.253)), (1.901) + ((ear_clock) * 1) * ((2.665) - (1.901)), (-0.694) + ((ear_clock) * 1) * ((0.155) - (-0.694))>
		<(-0.171) + ((ear_clock) * 1) * ((0.222) - (-0.171)), (1.773) + ((ear_clock) * 1) * ((2.845) - (1.773)), (-0.960) + ((ear_clock) * 1) * ((0.000) - (-0.960))> <(-0.139) + ((ear_clock) * 1) * ((0.222) - (-0.139)), (1.780) + ((ear_clock) * 1) * ((2.791) - (1.780)), (-0.897) + ((ear_clock) * 1) * ((0.046) - (-0.897))> <(-0.110) + ((ear_clock) * 1) * ((0.195) - (-0.110)), (1.810) + ((ear_clock) * 1) * ((2.723) - (1.810)), (-0.808) + ((ear_clock) * 1) * ((0.114) - (-0.808))> <(-0.082) + ((ear_clock) * 1) * ((0.195) - (-0.082)), (1.812) + ((ear_clock) * 1) * ((2.665) - (1.812)), (-0.743) + ((ear_clock) * 1) * ((0.155) - (-0.743))>
		<(-0.154) + ((ear_clock) * 1) * ((0.353) - (-0.154)), (1.563) + ((ear_clock) * 1) * ((2.417) - (1.563)), (-0.531) + ((ear_clock) * 1) * ((0.025) - (-0.531))> <(-0.129) + ((ear_clock) * 1) * ((0.338) - (-0.129)), (1.586) + ((ear_clock) * 1) * ((2.385) - (1.586)), (-0.485) + ((ear_clock) * 1) * ((0.072) - (-0.485))> <(-0.057) + ((ear_clock) * 1) * ((0.321) - (-0.057)), (1.613) + ((ear_clock) * 1) * ((2.319) - (1.613)), (-0.428) + ((ear_clock) * 1) * ((0.112) - (-0.428))> <(-0.035) + ((ear_clock) * 1) * ((0.303) - (-0.035)), (1.633) + ((ear_clock) * 1) * ((2.284) - (1.633)), (-0.380) + ((ear_clock) * 1) * ((0.155) - (-0.380))>
		<(-0.003) + ((ear_clock) * 1) * ((0.426) - (-0.003)), (1.467) + ((ear_clock) * 1) * ((2.194) - (1.467)), (-0.397) + ((ear_clock) * 1) * ((0.000) - (-0.397))> <(0.022) + ((ear_clock) * 1) * ((0.410) - (0.022)), (1.490) + ((ear_clock) * 1) * ((2.162) - (1.490)), (-0.352) + ((ear_clock) * 1) * ((0.046) - (-0.352))> <(0.058) + ((ear_clock) * 1) * ((0.393) - (0.058)), (1.523) + ((ear_clock) * 1) * ((2.123) - (1.523)), (-0.293) + ((ear_clock) * 1) * ((0.112) - (-0.293))> <(0.080) + ((ear_clock) * 1) * ((0.375) - (0.080)), (1.544) + ((ear_clock) * 1) * ((2.088) - (1.544)), (-0.245) + ((ear_clock) * 1) * ((0.155) - (-0.245))>
	}
	bicubic_patch {
		type 1
		flatness 0
		u_steps 3
		v_steps 3
		<(-0.003) + ((ear_clock) * 1) * ((0.426) - (-0.003)), (1.467) + ((ear_clock) * 1) * ((2.194) - (1.467)), (-0.397) + ((ear_clock) * 1) * ((0.000) - (-0.397))> <(0.022) + ((ear_clock) * 1) * ((0.410) - (0.022)), (1.490) + ((ear_clock) * 1) * ((2.162) - (1.490)), (-0.352) + ((ear_clock) * 1) * ((0.046) - (-0.352))> <(0.058) + ((ear_clock) * 1) * ((0.393) - (0.058)), (1.523) + ((ear_clock) * 1) * ((2.123) - (1.523)), (-0.293) + ((ear_clock) * 1) * ((0.112) - (-0.293))> <(0.080) + ((ear_clock) * 1) * ((0.375) - (0.080)), (1.544) + ((ear_clock) * 1) * ((2.088) - (1.544)), (-0.245) + ((ear_clock) * 1) * ((0.155) - (-0.245))>
		<(0.107) + ((ear_clock) * 1) * ((0.506) - (0.107)), (1.397) + ((ear_clock) * 1) * ((1.948) - (1.397)), (-0.300) + ((ear_clock) * 1) * ((-0.028) - (-0.300))> <(0.132) + ((ear_clock) * 1) * ((0.490) - (0.132)), (1.420) + ((ear_clock) * 1) * ((1.916) - (1.420)), (-0.254) + ((ear_clock) * 1) * ((0.019) - (-0.254))> <(0.163) + ((ear_clock) * 1) * ((0.472) - (0.163)), (1.442) + ((ear_clock) * 1) * ((1.909) - (1.442)), (-0.171) + ((ear_clock) * 1) * ((0.112) - (-0.171))> <(0.185) + ((ear_clock) * 1) * ((0.454) - (0.185)), (1.463) + ((ear_clock) * 1) * ((1.875) - (1.463)), (-0.123) + ((ear_clock) * 1) * ((0.155) - (-0.123))>
		<(0.331) + ((ear_clock) * 1) * ((0.459) - (0.331)), (1.382) + ((ear_clock) * 1) * ((1.600) - (1.382)), (-0.238) + ((ear_clock) * 1) * ((-0.118) - (-0.238))> <(0.331) + ((ear_clock) * 1) * ((0.460) - (0.331)), (1.379) + ((ear_clock) * 1) * ((1.597) - (1.379)), (-0.140) + ((ear_clock) * 1) * ((-0.021) - (-0.140))> <(0.376) + ((ear_clock) * 1) * ((0.464) - (0.376)), (1.399) + ((ear_clock) * 1) * ((1.563) - (1.399)), (-0.060) + ((ear_clock) * 1) * ((0.060) - (-0.060))> <(0.357) + ((ear_clock) * 1) * ((0.445) - (0.357)), (1.399) + ((ear_clock) * 1) * ((1.562) - (1.399)), (0.035) + ((ear_clock) * 1) * ((0.155) - (0.035))>
		<0.474, 1.345, -0.169> <0.474, 1.342, -0.072> <0.494, 1.337, 0.060> <0.475, 1.336, 0.155>
	}
	bicubic_patch {
		type 1
		flatness 0
		u_steps 3
		v_steps 3
		<-0.503, 1.336, 0.155> <-0.493, 1.336, 0.209> <-0.438, 1.340, 0.265> <-0.407, 1.341, 0.310>
		<(-0.482) + ((ear_clock) * 1) * ((-0.473) - (-0.482)), (1.478) + ((ear_clock) * 1) * ((1.562) - (1.478)), (0.079) + ((ear_clock) * 1) * ((0.155) - (0.079))> <(-0.471) + ((ear_clock) * 1) * ((-0.463) - (-0.471)), (1.478) + ((ear_clock) * 1) * ((1.561) - (1.478)), (0.132) + ((ear_clock) * 1) * ((0.209) - (0.132))> <(-0.403) + ((ear_clock) * 1) * ((-0.414) - (-0.403)), (1.483) + ((ear_clock) * 1) * ((1.521) - (1.483)), (0.191) + ((ear_clock) * 1) * ((0.265) - (0.191))> <(-0.372) + ((ear_clock) * 1) * ((-0.383) - (-0.372)), (1.484) + ((ear_clock) * 1) * ((1.522) - (1.484)), (0.236) + ((ear_clock) * 1) * ((0.310) - (0.236))>
		<(-0.470) + ((ear_clock) * 1) * ((-0.482) - (-0.470)), (1.722) + ((ear_clock) * 1) * ((1.875) - (1.722)), (0.032) + ((ear_clock) * 1) * ((0.155) - (0.032))> <(-0.427) + ((ear_clock) * 1) * ((-0.462) - (-0.427)), (1.729) + ((ear_clock) * 1) * ((1.834) - (1.729)), (0.079) + ((ear_clock) * 1) * ((0.205) - (0.079))> <(-0.377) + ((ear_clock) * 1) * ((-0.414) - (-0.377)), (1.723) + ((ear_clock) * 1) * ((1.818) - (1.723)), (0.140) + ((ear_clock) * 1) * ((0.266) - (0.140))> <(-0.335) + ((ear_clock) * 1) * ((-0.390) - (-0.335)), (1.723) + ((ear_clock) * 1) * ((1.773) - (1.723)), (0.190) + ((ear_clock) * 1) * ((0.310) - (0.190))>
		<(-0.432) + ((ear_clock) * 1) * ((-0.403) - (-0.432)), (1.809) + ((ear_clock) * 1) * ((2.088) - (1.809)), (-0.100) + ((ear_clock) * 1) * ((0.155) - (-0.100))> <(-0.388) + ((ear_clock) * 1) * ((-0.383) - (-0.388)), (1.817) + ((ear_clock) * 1) * ((2.048) - (1.817)), (-0.052) + ((ear_clock) * 1) * ((0.205) - (-0.052))> <(-0.331) + ((ear_clock) * 1) * ((-0.351) - (-0.331)), (1.819) + ((ear_clock) * 1) * ((1.990) - (1.819)), (0.014) + ((ear_clock) * 1) * ((0.266) - (0.014))> <(-0.290) + ((ear_clock) * 1) * ((-0.327) - (-0.290)), (1.819) + ((ear_clock) * 1) * ((1.945) - (1.819)), (0.064) + ((ear_clock) * 1) * ((0.310) - (0.064))>
	}
	bicubic_patch {
		type 1
		flatness 0
		u_steps 3
		v_steps 3
		<(-0.432) + ((ear_clock) * 1) * ((-0.403) - (-0.432)), (1.809) + ((ear_clock) * 1) * ((2.088) - (1.809)), (-0.100) + ((ear_clock) * 1) * ((0.155) - (-0.100))> <(-0.388) + ((ear_clock) * 1) * ((-0.383) - (-0.388)), (1.817) + ((ear_clock) * 1) * ((2.048) - (1.817)), (-0.052) + ((ear_clock) * 1) * ((0.205) - (-0.052))> <(-0.331) + ((ear_clock) * 1) * ((-0.351) - (-0.331)), (1.819) + ((ear_clock) * 1) * ((1.990) - (1.819)), (0.014) + ((ear_clock) * 1) * ((0.266) - (0.014))> <(-0.290) + ((ear_clock) * 1) * ((-0.327) - (-0.290)), (1.819) + ((ear_clock) * 1) * ((1.945) - (1.819)), (0.064) + ((ear_clock) * 1) * ((0.310) - (0.064))>
		<(-0.387) + ((ear_clock) * 1) * ((-0.331) - (-0.387)), (1.911) + ((ear_clock) * 1) * ((2.284) - (1.911)), (-0.252) + ((ear_clock) * 1) * ((0.155) - (-0.252))> <(-0.343) + ((ear_clock) * 1) * ((-0.311) - (-0.343)), (1.918) + ((ear_clock) * 1) * ((2.244) - (1.918)), (-0.204) + ((ear_clock) * 1) * ((0.205) - (-0.204))> <(-0.289) + ((ear_clock) * 1) * ((-0.293) - (-0.289)), (1.907) + ((ear_clock) * 1) * ((2.147) - (1.907)), (-0.102) + ((ear_clock) * 1) * ((0.266) - (-0.102))> <(-0.248) + ((ear_clock) * 1) * ((-0.269) - (-0.248)), (1.907) + ((ear_clock) * 1) * ((2.102) - (1.907)), (-0.052) + ((ear_clock) * 1) * ((0.310) - (-0.052))>
		<(-0.415) + ((ear_clock) * 1) * ((-0.223) - (-0.415)), (1.985) + ((ear_clock) * 1) * ((2.665) - (1.985)), (-0.648) + ((ear_clock) * 1) * ((0.155) - (-0.648))> <(-0.379) + ((ear_clock) * 1) * ((-0.223) - (-0.379)), (1.988) + ((ear_clock) * 1) * ((2.591) - (1.988)), (-0.566) + ((ear_clock) * 1) * ((0.207) - (-0.566))> <(-0.307) + ((ear_clock) * 1) * ((-0.182) - (-0.307)), (1.959) + ((ear_clock) * 1) * ((2.487) - (1.959)), (-0.464) + ((ear_clock) * 1) * ((0.267) - (-0.464))> <(-0.280) + ((ear_clock) * 1) * ((-0.182) - (-0.280)), (1.955) + ((ear_clock) * 1) * ((2.408) - (1.955)), (-0.379) + ((ear_clock) * 1) * ((0.310) - (-0.379))>
		<(-0.253) + ((ear_clock) * 1) * ((-0.014) - (-0.253)), (1.901) + ((ear_clock) * 1) * ((2.665) - (1.901)), (-0.694) + ((ear_clock) * 1) * ((0.155) - (-0.694))> <(-0.217) + ((ear_clock) * 1) * ((-0.014) - (-0.217)), (1.904) + ((ear_clock) * 1) * ((2.591) - (1.904)), (-0.612) + ((ear_clock) * 1) * ((0.207) - (-0.612))> <(-0.174) + ((ear_clock) * 1) * ((-0.014) - (-0.174)), (1.897) + ((ear_clock) * 1) * ((2.487) - (1.897)), (-0.500) + ((ear_clock) * 1) * ((0.267) - (-0.500))> <(-0.146) + ((ear_clock) * 1) * ((-0.014) - (-0.146)), (1.893) + ((ear_clock) * 1) * ((2.408) - (1.893)), (-0.414) + ((ear_clock) * 1) * ((0.310) - (-0.414))>
	}
	bicubic_patch {
		type 1
		flatness 0
		u_steps 3
		v_steps 3
		<(-0.253) + ((ear_clock) * 1) * ((-0.014) - (-0.253)), (1.901) + ((ear_clock) * 1) * ((2.665) - (1.901)), (-0.694) + ((ear_clock) * 1) * ((0.155) - (-0.694))> <(-0.217) + ((ear_clock) * 1) * ((-0.014) - (-0.217)), (1.904) + ((ear_clock) * 1) * ((2.591) - (1.904)), (-0.612) + ((ear_clock) * 1) * ((0.207) - (-0.612))> <(-0.174) + ((ear_clock) * 1) * ((-0.014) - (-0.174)), (1.897) + ((ear_clock) * 1) * ((2.487) - (1.897)), (-0.500) + ((ear_clock) * 1) * ((0.267) - (-0.500))> <(-0.146) + ((ear_clock) * 1) * ((-0.014) - (-0.146)), (1.893) + ((ear_clock) * 1) * ((2.408) - (1.893)), (-0.414) + ((ear_clock) * 1) * ((0.310) - (-0.414))>
		<(-0.082) + ((ear_clock) * 1) * ((0.195) - (-0.082)), (1.812) + ((ear_clock) * 1) * ((2.665) - (1.812)), (-0.743) + ((ear_clock) * 1) * ((0.155) - (-0.743))> <(-0.046) + ((ear_clock) * 1) * ((0.195) - (-0.046)), (1.815) + ((ear_clock) * 1) * ((2.591) - (1.815)), (-0.660) + ((ear_clock) * 1) * ((0.207) - (-0.660))> <(-0.029) + ((ear_clock) * 1) * ((0.154) - (-0.029)), (1.830) + ((ear_clock) * 1) * ((2.487) - (1.830)), (-0.538) + ((ear_clock) * 1) * ((0.267) - (-0.538))> <(-0.002) + ((ear_clock) * 1) * ((0.154) - (-0.002)), (1.826) + ((ear_clock) * 1) * ((2.408) - (1.826)), (-0.452) + ((ear_clock) * 1) * ((0.310) - (-0.452))>
		<(-0.035) + ((ear_clock) * 1) * ((0.303) - (-0.035)), (1.633) + ((ear_clock) * 1) * ((2.284) - (1.633)), (-0.380) + ((ear_clock) * 1) * ((0.155) - (-0.380))> <(-0.010) + ((ear_clock) * 1) * ((0.283) - (-0.010)), (1.657) + ((ear_clock) * 1) * ((2.244) - (1.657)), (-0.324) + ((ear_clock) * 1) * ((0.205) - (-0.324))> <(0.055) + ((ear_clock) * 1) * ((0.265) - (0.055)), (1.683) + ((ear_clock) * 1) * ((2.147) - (1.683)), (-0.226) + ((ear_clock) * 1) * ((0.266) - (-0.226))> <(0.070) + ((ear_clock) * 1) * ((0.241) - (0.070)), (1.700) + ((ear_clock) * 1) * ((2.102) - (1.700)), (-0.166) + ((ear_clock) * 1) * ((0.310) - (-0.166))>
		<(0.080) + ((ear_clock) * 1) * ((0.375) - (0.080)), (1.544) + ((ear_clock) * 1) * ((2.088) - (1.544)), (-0.245) + ((ear_clock) * 1) * ((0.155) - (-0.245))> <(0.105) + ((ear_clock) * 1) * ((0.355) - (0.105)), (1.567) + ((ear_clock) * 1) * ((2.048) - (1.567)), (-0.190) + ((ear_clock) * 1) * ((0.205) - (-0.190))> <(0.137) + ((ear_clock) * 1) * ((0.323) - (0.137)), (1.597) + ((ear_clock) * 1) * ((1.990) - (1.597)), (-0.114) + ((ear_clock) * 1) * ((0.266) - (-0.114))> <(0.152) + ((ear_clock) * 1) * ((0.299) - (0.152)), (1.614) + ((ear_clock) * 1) * ((1.945) - (1.614)), (-0.053) + ((ear_clock) * 1) * ((0.310) - (-0.053))>
	}
	bicubic_patch {
		type 1
		flatness 0
		u_steps 3
		v_steps 3
		<(0.080) + ((ear_clock) * 1) * ((0.375) - (0.080)), (1.544) + ((ear_clock) * 1) * ((2.088) - (1.544)), (-0.245) + ((ear_clock) * 1) * ((0.155) - (-0.245))> <(0.105) + ((ear_clock) * 1) * ((0.355) - (0.105)), (1.567) + ((ear_clock) * 1) * ((2.048) - (1.567)), (-0.190) + ((ear_clock) * 1) * ((0.205) - (-0.190))> <(0.137) + ((ear_clock) * 1) * ((0.323) - (0.137)), (1.597) + ((ear_clock) * 1) * ((1.990) - (1.597)), (-0.114) + ((ear_clock) * 1) * ((0.266) - (-0.114))> <(0.152) + ((ear_clock) * 1) * ((0.299) - (0.152)), (1.614) + ((ear_clock) * 1) * ((1.945) - (1.614)), (-0.053) + ((ear_clock) * 1) * ((0.310) - (-0.053))>
		<(0.185) + ((ear_clock) * 1) * ((0.454) - (0.185)), (1.463) + ((ear_clock) * 1) * ((1.875) - (1.463)), (-0.123) + ((ear_clock) * 1) * ((0.155) - (-0.123))> <(0.210) + ((ear_clock) * 1) * ((0.433) - (0.210)), (1.486) + ((ear_clock) * 1) * ((1.834) - (1.486)), (-0.068) + ((ear_clock) * 1) * ((0.205) - (-0.068))> <(0.213) + ((ear_clock) * 1) * ((0.386) - (0.213)), (1.517) + ((ear_clock) * 1) * ((1.818) - (1.517)), (-0.009) + ((ear_clock) * 1) * ((0.266) - (-0.009))> <(0.228) + ((ear_clock) * 1) * ((0.362) - (0.228)), (1.534) + ((ear_clock) * 1) * ((1.773) - (1.534)), (0.052) + ((ear_clock) * 1) * ((0.310) - (0.052))>
		<(0.357) + ((ear_clock) * 1) * ((0.445) - (0.357)), (1.399) + ((ear_clock) * 1) * ((1.562) - (1.399)), (0.035) + ((ear_clock) * 1) * ((0.155) - (0.035))> <(0.346) + ((ear_clock) * 1) * ((0.434) - (0.346)), (1.398) + ((ear_clock) * 1) * ((1.561) - (1.398)), (0.089) + ((ear_clock) * 1) * ((0.209) - (0.089))> <(0.342) + ((ear_clock) * 1) * ((0.386) - (0.342)), (1.422) + ((ear_clock) * 1) * ((1.521) - (1.422)), (0.156) + ((ear_clock) * 1) * ((0.265) - (0.156))> <(0.311) + ((ear_clock) * 1) * ((0.355) - (0.311)), (1.423) + ((ear_clock) * 1) * ((1.522) - (1.423)), (0.201) + ((ear_clock) * 1) * ((0.310) - (0.201))>
		<0.475, 1.336, 0.155> <0.464, 1.336, 0.209> <0.410, 1.340, 0.265> <0.379, 1.341, 0.310>
	}
	bicubic_patch {
		type 1
		flatness 0
		u_steps 3
		v_steps 3
		<-0.407, 1.341, 0.310> <-0.371, 1.343, 0.362> <-0.328, 1.346, 0.436> <-0.281, 1.346, 0.479>
		<(-0.372) + ((ear_clock) * 1) * ((-0.383) - (-0.372)), (1.484) + ((ear_clock) * 1) * ((1.522) - (1.484)), (0.236) + ((ear_clock) * 1) * ((0.310) - (0.236))> <(-0.336) + ((ear_clock) * 1) * ((-0.347) - (-0.336)), (1.486) + ((ear_clock) * 1) * ((1.524) - (1.486)), (0.288) + ((ear_clock) * 1) * ((0.362) - (0.288))> <(-0.282) + ((ear_clock) * 1) * ((-0.311) - (-0.282)), (1.485) + ((ear_clock) * 1) * ((1.469) - (1.485)), (0.373) + ((ear_clock) * 1) * ((0.436) - (0.373))> <(-0.234) + ((ear_clock) * 1) * ((-0.264) - (-0.234)), (1.485) + ((ear_clock) * 1) * ((1.469) - (1.485)), (0.416) + ((ear_clock) * 1) * ((0.479) - (0.416))>
		<(-0.335) + ((ear_clock) * 1) * ((-0.390) - (-0.335)), (1.723) + ((ear_clock) * 1) * ((1.773) - (1.723)), (0.190) + ((ear_clock) * 1) * ((0.310) - (0.190))> <(-0.285) + ((ear_clock) * 1) * ((-0.361) - (-0.285)), (1.723) + ((ear_clock) * 1) * ((1.718) - (1.723)), (0.250) + ((ear_clock) * 1) * ((0.363) - (0.250))> <(-0.231) + ((ear_clock) * 1) * ((-0.302) - (-0.231)), (1.731) + ((ear_clock) * 1) * ((1.704) - (1.731)), (0.271) + ((ear_clock) * 1) * ((0.441) - (0.271))> <(-0.205) + ((ear_clock) * 1) * ((-0.269) - (-0.205)), (1.685) + ((ear_clock) * 1) * ((1.640) - (1.685)), (0.329) + ((ear_clock) * 1) * ((0.479) - (0.329))>
		<(-0.290) + ((ear_clock) * 1) * ((-0.327) - (-0.290)), (1.819) + ((ear_clock) * 1) * ((1.945) - (1.819)), (0.064) + ((ear_clock) * 1) * ((0.310) - (0.064))> <(-0.240) + ((ear_clock) * 1) * ((-0.298) - (-0.240)), (1.819) + ((ear_clock) * 1) * ((1.890) - (1.819)), (0.124) + ((ear_clock) * 1) * ((0.363) - (0.124))> <(-0.153) + ((ear_clock) * 1) * ((-0.260) - (-0.153)), (1.856) + ((ear_clock) * 1) * ((1.820) - (1.856)), (0.210) + ((ear_clock) * 1) * ((0.441) - (0.210))> <(-0.127) + ((ear_clock) * 1) * ((-0.226) - (-0.127)), (1.810) + ((ear_clock) * 1) * ((1.756) - (1.810)), (0.268) + ((ear_clock) * 1) * ((0.479) - (0.268))>
	}
	bicubic_patch {
		type 1
		flatness 0
		u_steps 3
		v_steps 3
		<(-0.290) + ((ear_clock) * 1) * ((-0.327) - (-0.290)), (1.819) + ((ear_clock) * 1) * ((1.945) - (1.819)), (0.064) + ((ear_clock) * 1) * ((0.310) - (0.064))> <(-0.240) + ((ear_clock) * 1) * ((-0.298) - (-0.240)), (1.819) + ((ear_clock) * 1) * ((1.890) - (1.819)), (0.124) + ((ear_clock) * 1) * ((0.363) - (0.124))> <(-0.153) + ((ear_clock) * 1) * ((-0.260) - (-0.153)), (1.856) + ((ear_clock) * 1) * ((1.820) - (1.856)), (0.210) + ((ear_clock) * 1) * ((0.441) - (0.210))> <(-0.127) + ((ear_clock) * 1) * ((-0.226) - (-0.127)), (1.810) + ((ear_clock) * 1) * ((1.756) - (1.810)), (0.268) + ((ear_clock) * 1) * ((0.479) - (0.268))>
		<(-0.248) + ((ear_clock) * 1) * ((-0.269) - (-0.248)), (1.907) + ((ear_clock) * 1) * ((2.102) - (1.907)), (-0.052) + ((ear_clock) * 1) * ((0.310) - (-0.052))> <(-0.198) + ((ear_clock) * 1) * ((-0.240) - (-0.198)), (1.908) + ((ear_clock) * 1) * ((2.047) - (1.908)), (0.008) + ((ear_clock) * 1) * ((0.363) - (0.008))> <(-0.127) + ((ear_clock) * 1) * ((-0.220) - (-0.127)), (1.898) + ((ear_clock) * 1) * ((1.927) - (1.898)), (0.189) + ((ear_clock) * 1) * ((0.441) - (0.189))> <(-0.100) + ((ear_clock) * 1) * ((-0.187) - (-0.100)), (1.852) + ((ear_clock) * 1) * ((1.863) - (1.852)), (0.247) + ((ear_clock) * 1) * ((0.479) - (0.247))>
		<(-0.280) + ((ear_clock) * 1) * ((-0.182) - (-0.280)), (1.955) + ((ear_clock) * 1) * ((2.408) - (1.955)), (-0.379) + ((ear_clock) * 1) * ((0.310) - (-0.379))> <(-0.219) + ((ear_clock) * 1) * ((-0.182) - (-0.219)), (1.946) + ((ear_clock) * 1) * ((2.309) - (1.946)), (-0.188) + ((ear_clock) * 1) * ((0.364) - (-0.188))> <(-0.031) + ((ear_clock) * 1) * ((-0.128) - (-0.031)), (1.969) + ((ear_clock) * 1) * ((2.178) - (1.969)), (0.049) + ((ear_clock) * 1) * ((0.443) - (0.049))> <(-0.010) + ((ear_clock) * 1) * ((-0.128) - (-0.010)), (1.879) + ((ear_clock) * 1) * ((2.070) - (1.879)), (0.227) + ((ear_clock) * 1) * ((0.479) - (0.227))>
		<(-0.146) + ((ear_clock) * 1) * ((-0.014) - (-0.146)), (1.893) + ((ear_clock) * 1) * ((2.408) - (1.893)), (-0.414) + ((ear_clock) * 1) * ((0.310) - (-0.414))> <(-0.085) + ((ear_clock) * 1) * ((-0.014) - (-0.085)), (1.885) + ((ear_clock) * 1) * ((2.309) - (1.885)), (-0.223) + ((ear_clock) * 1) * ((0.364) - (-0.223))> <(0.019) + ((ear_clock) * 1) * ((-0.014) - (0.019)), (1.950) + ((ear_clock) * 1) * ((2.178) - (1.950)), (0.048) + ((ear_clock) * 1) * ((0.443) - (0.048))> <(0.041) + ((ear_clock) * 1) * ((-0.014) - (0.041)), (1.860) + ((ear_clock) * 1) * ((2.070) - (1.860)), (0.225) + ((ear_clock) * 1) * ((0.479) - (0.225))>
	}
	bicubic_patch {
		type 1
		flatness 0
		u_steps 3
		v_steps 3
		<(-0.146) + ((ear_clock) * 1) * ((-0.014) - (-0.146)), (1.893) + ((ear_clock) * 1) * ((2.408) - (1.893)), (-0.414) + ((ear_clock) * 1) * ((0.310) - (-0.414))> <(-0.085) + ((ear_clock) * 1) * ((-0.014) - (-0.085)), (1.885) + ((ear_clock) * 1) * ((2.309) - (1.885)), (-0.223) + ((ear_clock) * 1) * ((0.364) - (-0.223))> <(0.019) + ((ear_clock) * 1) * ((-0.014) - (0.019)), (1.950) + ((ear_clock) * 1) * ((2.178) - (1.950)), (0.048) + ((ear_clock) * 1) * ((0.443) - (0.048))> <(0.041) + ((ear_clock) * 1) * ((-0.014) - (0.041)), (1.860) + ((ear_clock) * 1) * ((2.070) - (1.860)), (0.225) + ((ear_clock) * 1) * ((0.479) - (0.225))>
		<(-0.002) + ((ear_clock) * 1) * ((0.154) - (-0.002)), (1.826) + ((ear_clock) * 1) * ((2.408) - (1.826)), (-0.452) + ((ear_clock) * 1) * ((0.310) - (-0.452))> <(0.059) + ((ear_clock) * 1) * ((0.154) - (0.059)), (1.818) + ((ear_clock) * 1) * ((2.309) - (1.818)), (-0.262) + ((ear_clock) * 1) * ((0.364) - (-0.262))> <(0.088) + ((ear_clock) * 1) * ((0.100) - (0.088)), (1.924) + ((ear_clock) * 1) * ((2.178) - (1.924)), (0.046) + ((ear_clock) * 1) * ((0.443) - (0.046))> <(0.110) + ((ear_clock) * 1) * ((0.100) - (0.110)), (1.834) + ((ear_clock) * 1) * ((2.070) - (1.834)), (0.224) + ((ear_clock) * 1) * ((0.479) - (0.224))>
		<(0.070) + ((ear_clock) * 1) * ((0.241) - (0.070)), (1.700) + ((ear_clock) * 1) * ((2.102) - (1.700)), (-0.166) + ((ear_clock) * 1) * ((0.310) - (-0.166))> <(0.094) + ((ear_clock) * 1) * ((0.212) - (0.094)), (1.726) + ((ear_clock) * 1) * ((2.047) - (1.726)), (-0.074) + ((ear_clock) * 1) * ((0.363) - (-0.074))> <(0.204) + ((ear_clock) * 1) * ((0.192) - (0.204)), (1.779) + ((ear_clock) * 1) * ((1.927) - (1.779)), (0.139) + ((ear_clock) * 1) * ((0.441) - (0.139))> <(0.183) + ((ear_clock) * 1) * ((0.159) - (0.183)), (1.746) + ((ear_clock) * 1) * ((1.863) - (1.746)), (0.229) + ((ear_clock) * 1) * ((0.479) - (0.229))>
		<(0.152) + ((ear_clock) * 1) * ((0.299) - (0.152)), (1.614) + ((ear_clock) * 1) * ((1.945) - (1.614)), (-0.053) + ((ear_clock) * 1) * ((0.310) - (-0.053))> <(0.175) + ((ear_clock) * 1) * ((0.270) - (0.175)), (1.640) + ((ear_clock) * 1) * ((1.890) - (1.640)), (0.038) + ((ear_clock) * 1) * ((0.363) - (0.038))> <(0.229) + ((ear_clock) * 1) * ((0.231) - (0.229)), (1.718) + ((ear_clock) * 1) * ((1.820) - (1.718)), (0.170) + ((ear_clock) * 1) * ((0.441) - (0.170))> <(0.209) + ((ear_clock) * 1) * ((0.198) - (0.209)), (1.684) + ((ear_clock) * 1) * ((1.756) - (1.684)), (0.259) + ((ear_clock) * 1) * ((0.479) - (0.259))>
	}
	bicubic_patch {
		type 1
		flatness 0
		u_steps 3
		v_steps 3
		<(0.152) + ((ear_clock) * 1) * ((0.299) - (0.152)), (1.614) + ((ear_clock) * 1) * ((1.945) - (1.614)), (-0.053) + ((ear_clock) * 1) * ((0.310) - (-0.053))> <(0.175) + ((ear_clock) * 1) * ((0.270) - (0.175)), (1.640) + ((ear_clock) * 1) * ((1.890) - (1.640)), (0.038) + ((ear_clock) * 1) * ((0.363) - (0.038))> <(0.229) + ((ear_clock) * 1) * ((0.231) - (0.229)), (1.718) + ((ear_clock) * 1) * ((1.820) - (1.718)), (0.170) + ((ear_clock) * 1) * ((0.441) - (0.170))> <(0.209) + ((ear_clock) * 1) * ((0.198) - (0.209)), (1.684) + ((ear_clock) * 1) * ((1.756) - (1.684)), (0.259) + ((ear_clock) * 1) * ((0.479) - (0.259))>
		<(0.228) + ((ear_clock) * 1) * ((0.362) - (0.228)), (1.534) + ((ear_clock) * 1) * ((1.773) - (1.534)), (0.052) + ((ear_clock) * 1) * ((0.310) - (0.052))> <(0.251) + ((ear_clock) * 1) * ((0.333) - (0.251)), (1.560) + ((ear_clock) * 1) * ((1.718) - (1.560)), (0.143) + ((ear_clock) * 1) * ((0.363) - (0.143))> <(0.271) + ((ear_clock) * 1) * ((0.274) - (0.271)), (1.615) + ((ear_clock) * 1) * ((1.704) - (1.615)), (0.220) + ((ear_clock) * 1) * ((0.441) - (0.220))> <(0.251) + ((ear_clock) * 1) * ((0.241) - (0.251)), (1.582) + ((ear_clock) * 1) * ((1.640) - (1.582)), (0.310) + ((ear_clock) * 1) * ((0.479) - (0.310))>
		<(0.311) + ((ear_clock) * 1) * ((0.355) - (0.311)), (1.423) + ((ear_clock) * 1) * ((1.522) - (1.423)), (0.201) + ((ear_clock) * 1) * ((0.310) - (0.201))> <(0.275) + ((ear_clock) * 1) * ((0.319) - (0.275)), (1.425) + ((ear_clock) * 1) * ((1.524) - (1.425)), (0.253) + ((ear_clock) * 1) * ((0.362) - (0.253))> <(0.286) + ((ear_clock) * 1) * ((0.283) - (0.286)), (1.448) + ((ear_clock) * 1) * ((1.469) - (1.448)), (0.371) + ((ear_clock) * 1) * ((0.436) - (0.371))> <(0.239) + ((ear_clock) * 1) * ((0.236) - (0.239)), (1.448) + ((ear_clock) * 1) * ((1.469) - (1.448)), (0.413) + ((ear_clock) * 1) * ((0.479) - (0.413))>
		<0.379, 1.341, 0.310> <0.343, 1.343, 0.362> <0.300, 1.346, 0.436> <0.252, 1.346, 0.479>
	}
	bicubic_patch {
		type 1
		flatness 0
		u_steps 3
		v_steps 3
		<-0.017, 1.342, 0.662> <-0.016, 1.343, 0.662> <-0.016, 1.345, 0.662> <-0.016, 1.346, 0.662>
		<-0.096, 1.343, 0.607> <-0.096, 1.345, 0.607> <(-0.050) + ((ear_clock) * 1) * ((-0.080) - (-0.050)), (1.484) + ((ear_clock) * 1) * ((1.468) - (1.484)), (0.544) + ((ear_clock) * 1) * ((0.607) - (0.544))> <(-0.049) + ((ear_clock) * 1) * ((-0.079) - (-0.049)), (1.485) + ((ear_clock) * 1) * ((1.469) - (1.485)), (0.544) + ((ear_clock) * 1) * ((0.607) - (0.544))>
		<-0.209, 1.347, 0.543> <(-0.163) + ((ear_clock) * 1) * ((-0.193) - (-0.163)), (1.486) + ((ear_clock) * 1) * ((1.469) - (1.486)), (0.480) + ((ear_clock) * 1) * ((0.543) - (0.480))> <(-0.142) + ((ear_clock) * 1) * ((-0.208) - (-0.142)), (1.577) + ((ear_clock) * 1) * ((1.523) - (1.577)), (0.466) + ((ear_clock) * 1) * ((0.548) - (0.466))> <(-0.064) + ((ear_clock) * 1) * ((-0.166) - (-0.064)), (1.701) + ((ear_clock) * 1) * ((1.639) - (1.701)), (0.405) + ((ear_clock) * 1) * ((0.548) - (0.405))>
		<-0.281, 1.346, 0.479> <(-0.234) + ((ear_clock) * 1) * ((-0.264) - (-0.234)), (1.485) + ((ear_clock) * 1) * ((1.469) - (1.485)), (0.416) + ((ear_clock) * 1) * ((0.479) - (0.416))> <(-0.205) + ((ear_clock) * 1) * ((-0.269) - (-0.205)), (1.685) + ((ear_clock) * 1) * ((1.640) - (1.685)), (0.329) + ((ear_clock) * 1) * ((0.479) - (0.329))> <(-0.127) + ((ear_clock) * 1) * ((-0.226) - (-0.127)), (1.810) + ((ear_clock) * 1) * ((1.756) - (1.810)), (0.268) + ((ear_clock) * 1) * ((0.479) - (0.268))>
	}
	bicubic_patch {
		type 1
		flatness 0
		u_steps 3
		v_steps 3
		<-0.016, 1.346, 0.662> <-0.016, 1.347, 0.662> <-0.015, 1.349, 0.662> <-0.014, 1.349, 0.662>
		<(-0.049) + ((ear_clock) * 1) * ((-0.079) - (-0.049)), (1.485) + ((ear_clock) * 1) * ((1.469) - (1.485)), (0.544) + ((ear_clock) * 1) * ((0.607) - (0.544))> <(-0.049) + ((ear_clock) * 1) * ((-0.079) - (-0.049)), (1.486) + ((ear_clock) * 1) * ((1.470) - (1.486)), (0.544) + ((ear_clock) * 1) * ((0.607) - (0.544))> <(0.001) + ((ear_clock) * 1) * ((-0.015) - (0.001)), (1.502) + ((ear_clock) * 1) * ((1.565) - (1.502)), (0.531) + ((ear_clock) * 1) * ((0.607) - (0.531))> <(0.002) + ((ear_clock) * 1) * ((-0.014) - (0.002)), (1.502) + ((ear_clock) * 1) * ((1.565) - (1.502)), (0.531) + ((ear_clock) * 1) * ((0.607) - (0.531))>
		<(-0.064) + ((ear_clock) * 1) * ((-0.166) - (-0.064)), (1.701) + ((ear_clock) * 1) * ((1.639) - (1.701)), (0.405) + ((ear_clock) * 1) * ((0.548) - (0.405))> <(-0.038) + ((ear_clock) * 1) * ((-0.126) - (-0.038)), (1.744) + ((ear_clock) * 1) * ((1.746) - (1.744)), (0.384) + ((ear_clock) * 1) * ((0.548) - (0.384))> <(0.012) + ((ear_clock) * 1) * ((-0.128) - (0.012)), (1.788) + ((ear_clock) * 1) * ((1.858) - (1.788)), (0.406) + ((ear_clock) * 1) * ((0.549) - (0.406))> <(0.063) + ((ear_clock) * 1) * ((-0.014) - (0.063)), (1.769) + ((ear_clock) * 1) * ((1.858) - (1.769)), (0.405) + ((ear_clock) * 1) * ((0.549) - (0.405))>
		<(-0.127) + ((ear_clock) * 1) * ((-0.226) - (-0.127)), (1.810) + ((ear_clock) * 1) * ((1.756) - (1.810)), (0.268) + ((ear_clock) * 1) * ((0.479) - (0.268))> <(-0.100) + ((ear_clock) * 1) * ((-0.187) - (-0.100)), (1.852) + ((ear_clock) * 1) * ((1.863) - (1.852)), (0.247) + ((ear_clock) * 1) * ((0.479) - (0.247))> <(-0.010) + ((ear_clock) * 1) * ((-0.128) - (-0.010)), (1.879) + ((ear_clock) * 1) * ((2.070) - (1.879)), (0.227) + ((ear_clock) * 1) * ((0.479) - (0.227))> <(0.041) + ((ear_clock) * 1) * ((-0.014) - (0.041)), (1.860) + ((ear_clock) * 1) * ((2.070) - (1.860)), (0.225) + ((ear_clock) * 1) * ((0.479) - (0.225))>
	}
	bicubic_patch {
		type 1
		flatness 0
		u_steps 3
		v_steps 3
		<-0.014, 1.349, 0.662> <-0.013, 1.349, 0.662> <-0.012, 1.347, 0.662> <-0.012, 1.346, 0.662>
		<(0.002) + ((ear_clock) * 1) * ((-0.014) - (0.002)), (1.502) + ((ear_clock) * 1) * ((1.565) - (1.502)), (0.531) + ((ear_clock) * 1) * ((0.607) - (0.531))> <(0.003) + ((ear_clock) * 1) * ((-0.013) - (0.003)), (1.502) + ((ear_clock) * 1) * ((1.565) - (1.502)), (0.531) + ((ear_clock) * 1) * ((0.607) - (0.531))> <(0.054) + ((ear_clock) * 1) * ((0.051) - (0.054)), (1.449) + ((ear_clock) * 1) * ((1.470) - (1.449)), (0.541) + ((ear_clock) * 1) * ((0.607) - (0.541))> <(0.054) + ((ear_clock) * 1) * ((0.051) - (0.054)), (1.447) + ((ear_clock) * 1) * ((1.469) - (1.447)), (0.541) + ((ear_clock) * 1) * ((0.607) - (0.541))>
		<(0.063) + ((ear_clock) * 1) * ((-0.014) - (0.063)), (1.769) + ((ear_clock) * 1) * ((1.858) - (1.769)), (0.405) + ((ear_clock) * 1) * ((0.549) - (0.405))> <(0.132) + ((ear_clock) * 1) * ((0.100) - (0.132)), (1.743) + ((ear_clock) * 1) * ((1.858) - (1.743)), (0.403) + ((ear_clock) * 1) * ((0.549) - (0.403))> <(0.147) + ((ear_clock) * 1) * ((0.098) - (0.147)), (1.687) + ((ear_clock) * 1) * ((1.746) - (1.687)), (0.385) + ((ear_clock) * 1) * ((0.548) - (0.385))> <(0.173) + ((ear_clock) * 1) * ((0.137) - (0.173)), (1.625) + ((ear_clock) * 1) * ((1.639) - (1.625)), (0.416) + ((ear_clock) * 1) * ((0.548) - (0.416))>
		<(0.041) + ((ear_clock) * 1) * ((-0.014) - (0.041)), (1.860) + ((ear_clock) * 1) * ((2.070) - (1.860)), (0.225) + ((ear_clock) * 1) * ((0.479) - (0.225))> <(0.110) + ((ear_clock) * 1) * ((0.100) - (0.110)), (1.834) + ((ear_clock) * 1) * ((2.070) - (1.834)), (0.224) + ((ear_clock) * 1) * ((0.479) - (0.224))> <(0.183) + ((ear_clock) * 1) * ((0.159) - (0.183)), (1.746) + ((ear_clock) * 1) * ((1.863) - (1.746)), (0.229) + ((ear_clock) * 1) * ((0.479) - (0.229))> <(0.209) + ((ear_clock) * 1) * ((0.198) - (0.209)), (1.684) + ((ear_clock) * 1) * ((1.756) - (1.684)), (0.259) + ((ear_clock) * 1) * ((0.479) - (0.259))>
	}
	bicubic_patch {
		type 1
		flatness 0
		u_steps 3
		v_steps 3
		<-0.012, 1.346, 0.662> <-0.012, 1.345, 0.662> <-0.012, 1.343, 0.662> <-0.012, 1.342, 0.662>
		<(0.054) + ((ear_clock) * 1) * ((0.051) - (0.054)), (1.447) + ((ear_clock) * 1) * ((1.469) - (1.447)), (0.541) + ((ear_clock) * 1) * ((0.607) - (0.541))> <(0.055) + ((ear_clock) * 1) * ((0.051) - (0.055)), (1.446) + ((ear_clock) * 1) * ((1.468) - (1.446)), (0.541) + ((ear_clock) * 1) * ((0.607) - (0.541))> <0.067, 1.345, 0.607> <0.068, 1.343, 0.607>
		<(0.173) + ((ear_clock) * 1) * ((0.137) - (0.173)), (1.625) + ((ear_clock) * 1) * ((1.639) - (1.625)), (0.416) + ((ear_clock) * 1) * ((0.548) - (0.416))> <(0.215) + ((ear_clock) * 1) * ((0.180) - (0.215)), 1.523, (0.466) + ((ear_clock) * 1) * ((0.548) - (0.466))> <(0.168) + ((ear_clock) * 1) * ((0.165) - (0.168)), (1.448) + ((ear_clock) * 1) * ((1.469) - (1.448)), (0.477) + ((ear_clock) * 1) * ((0.543) - (0.477))> <0.181, 1.347, 0.543>
		<(0.209) + ((ear_clock) * 1) * ((0.198) - (0.209)), (1.684) + ((ear_clock) * 1) * ((1.756) - (1.684)), (0.259) + ((ear_clock) * 1) * ((0.479) - (0.259))> <(0.251) + ((ear_clock) * 1) * ((0.241) - (0.251)), (1.582) + ((ear_clock) * 1) * ((1.640) - (1.582)), (0.310) + ((ear_clock) * 1) * ((0.479) - (0.310))> <(0.239) + ((ear_clock) * 1) * ((0.236) - (0.239)), (1.448) + ((ear_clock) * 1) * ((1.469) - (1.448)), (0.413) + ((ear_clock) * 1) * ((0.479) - (0.413))> <0.252, 1.346, 0.479>
	}
}
#end

